/*
 * office.c  -- office common
 *
 * $Id: office.c,v 1.1 2004/05/21 10:23:09 hos Exp $
 *
 */


#include "automation.h"



HRESULT get_office_doc(IDispatch **doc, LPOLESTR progid, LPOLESTR prop)
{
    IDispatch *app;
    VARIANT var;
    HRESULT hres;

    hres = get_active_object(progid, &app);
    if(FAILED(hres)) {
        return hres;
    }

    hres = get_property_s(app, prop, &var);
    IDispatch_Release(app);
    if(FAILED(hres)) {
        return hres;
    }
    if(var.vt != VT_DISPATCH) {
        return E_FAIL;
    }

    *doc = var.pdispVal;

    return S_OK;
}
